#include <Servo.h>

Servo name_servo;

int servo_position = 0;
int incomingByte = 0;   // for incoming serial data
bool hasRun = false;
long triggerTime;

void setup() {

  Serial.begin (9600);
  name_servo.attach (3);
  triggerTime= millis()+(1000L*60L*90L);  //Failsafe - ensure the servo is triggered at least once regardless of fitbit
}

void loop() {

  //Since there's only 1 option, if anything comes in on serial, we trigger the event
  if (Serial.available() > 0) {
    // read the incoming byte:
    incomingByte = Serial.read();
  
    //Decode from python - 
    Serial.print("I received: ");
    Serial.println(incomingByte, DEC);

    if(!hasRun)
      runServo();
  }
  
  //The failsafe
  if(!hasRun && millis()>=triggerTime){
    runServo();
  }
}

void runServo(){

  //Spin the servo
  for (servo_position = 0; servo_position <=360; servo_position +=1){
    name_servo.write(servo_position);
    delay(10);
  }
  hasRun=true;
}
